import request from '@/utils/request'
export function parseAdd(data) {
  return request({
    'url': '/product/whse/parse/add',
    method: 'GET',
    params: data
  })
}


export function whseAdd(data) {  //入库操作
  return request({
    'url': '/product/whse/add',
    'method': 'Post',
    data: data
  })
}

export function whseRetAdd(data) {  //退库库操作
  return request({
    'url': '/product/whse/ret/add',
    'method': 'Post',
    data: data
  })
}
//生产班组
export function whseTeam(data) {
  return request({
    'url': '/product/whse/team/query',
    'method': 'get',
    params: data
  })
}
//查询临时记录表
export function whseRemove(data) {
  return request({
    'url': '/product/whse/parse/remove',
    'method': 'delete',
     'params': { ids:(data.ids||[]).join(','),type:data.type}
  })
}
export function getSign(query) {
	return request({
		url: '/api/sns/wx/jssdk_sign',
		method: 'get',
		params:query
	})
};
export function whseInfolist(query) {
	return request({
		url: '/final/whse/info/lists',
		method: 'get',
		params:query
	})
};
export function setRepId(query) {
	return request({
		url: '/product/whse/updatePosId',
		method: 'get',
		params: { posIds:(query.posIds||[]).join(','),id:query.id}
	})
};
