import {
	mapGetters
} from "vuex"
let App = getApp()
export default {
	components: {},
	data() {
		return {
			appData: null
		}
	},
	props: {
		value: {
			// type: [String, Number, Object, Array],
			default: null
		},
		scrollTop: {
			type: [String, Number],
			default: 0
		}
	},
	computed: {
		...mapGetters(["userComplete", "isLogin", "token", "userInfo", "userOrgid", "wxInfo", "financeMInfo",
			"financeYInfo", "userTotal"
		])
	},
	watch: {
	},
	created() {
		this.appData = App.globalData ? App.globalData : getApp().globalData;
	},
	methods: {
		loadData(type) {
			// type="rush" 刷新
		},
		openShare() {
			// 开启分享
			uni.showShareMenu();
		}
	}
}
